Subject: [Gen-art] Gen-ART review of draft-ietf-nsis-ext-06.txt

From: "Miguel A. Garcia" <[email-masked]>
Date: Tue, 30 Mar 2010 11:20:49 +0200

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-nsis-ext-06.txt
Reviewer: Miguel Garcia <[email-masked]>
Review Date: 30-March-2010
IETF LC End Date: 31-March-2010

Summary: The document is ready for publication as an Informational RFC.

Nits/editorial comments:

The document is well written, and I bet the community highly appreciates 
this kind of documents. I have a couple of minor comments and nits.

- The texs in Section 8.2 reads:

   In these subsections, references to document sections refer
   to the GIST specification [I-D.ietf-nsis-ntlp].

I must say that I do not get the point. Sections 8.2.1, 8.2.2, and so on, 
make reference to Section x, and Section, and the reader has to add "of 
the GIST specification [ref]". This makes the subsections not self 
contained. Besides, as a reader, I need to have a clear understanding 
whether I have finished reading Section 8.2 and its subsections, because 
they have this implicit references to the GIST specification, or make 
sure that I am outside Section 8.2 where the explicit references are back.

I _highly_ recommend the authors to use a few more words and make 
explicit references to a document, which means reference in subsections 
of Section 8.2 would read "See Section 3.8 of the GIST specification [ref]".

- I encourage the authors to review the number of the sections pointed in 
the GIST specification. I think some of the might have changed. For 
example, in Section 8.2.1 of this draft, the text in the first paragraph 
says:

    Currently only two message routing methods are supported (Path-
    coupled MRM and Loose-End MRM), but further MRMs may be defined in
    the future.  See Section 3.8.  One possible additional MRM under

Section 3.8 of the GIST specification deals with signaling applications, 
which I believe is not what you want to refer to. I think the reference 
should be towards Section 3.3.

- Section 1, last paragraph, the sentence has double verb and makes no 
senses:

    This document gives an overview of the NSIS framework and protocol
    suite is at the time of writing (2009)
         ^^^^

Probably it should read:

    This document gives an overview of the NSIS framework and protocol
    suite at the time of writing (2009)

- Section 4, collection of bullet points, 5th bullet point. The text reads:

  o  Session binding, session X can be valid only if session Y is too

Probably the word "valid" is missing:

  o  Session binding, session X can be valid only if session Y is valid too

/Miguel

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: Elwyn Davies <[email-masked]>
Date: Tue, 30 Mar 2010 10:30:11 +0100

Hi, Miguel.

Thanks for the glowing recommendation ( :-) ) and the nits. I'll fix the
nits along with (so far) one suggestion from the security directorate
reviewer and put out a new version after the last call ends tomorrow.

Regards,
Elwyn

Miguel A. Garcia wrote:
> The document is well written, and I bet the community highly
> appreciates this kind of documents. I have a couple of minor comments
> and nits.
>
> I must say that I do not get the point. Sections 8.2.1, 8.2.2, and so
> on, make reference to Section x, and Section, and the reader has to
> add "of the GIST specification [ref]". This makes the subsections not
> self contained. Besides, as a reader, I need to have a clear
> understanding whether I have finished reading Section 8.2 and its
> subsections, because they have this implicit references to the GIST
> specification, or make sure that I am outside Section 8.2 where the
> explicit references are back.
>
> explicit references to a document, which means reference in
> subsections of Section 8.2 would read "See Section 3.8 of the GIST
> specification [ref]".
>
>
>
> - I encourage the authors to review the number of the sections pointed
> in the GIST specification. I think some of the might have changed. For
> example, in Section 8.2.1 of this draft, the text in the first
> paragraph says:
>
> Section 3.8 of the GIST specification deals with signaling
> applications, which I believe is not what you want to refer to. I
> think the reference should be towards Section 3.3.
>
>
>

---

From: Elwyn Davies <[email-masked]>
Date: Tue, 30 Mar 2010 10:33:52 +0100

Jukka Manner wrote:
> Hi, thank you for the review.
>
> Elwyn, can you fix those editorial comments and resubmit.
>
> Regards,
> Jukka
Hi, Jukka.

I believe last call ends tomorrow (see the message that just crossed
with yours!!) 

I'll fix the nits plus the comment from the security directorate on All
Fools Day just in case anything else appears. This may be appropriate :-X

Regards,
Elwyn

>
> On 30.3.2010 12:20, Miguel A. Garcia wrote:
>> on, make reference to Section x, and Section, and the reader has to add
>> "of the GIST specification [ref]". This makes the subsections not self

---

From: Jukka Manner <[email-masked]>
Date: Tue, 30 Mar 2010 12:26:56 +0300

Regards,
Jukka